package com.uvigo.mhp;

import com.uvigo.mhp.ui.*;
import java.util.*;

// Cuando se implemente el InputManager, hay que permitir que determinados eventos
// en una pagina se transmitan al InputManager del frontend (por ejemplo, para hacer
// scroll de la pagina si esta se muestra en un determinado contenedor del frontend).
public class CourseDelegate implements CourseManager
{
    private Page page;
    
    public void setPage(Page p)
    {
        page=p;
    }
    
    public void gotoFirstPage()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoFirstPage();
    }
    
    public void gotoFrontEnd()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoFrontEnd();
    }
    
    public void gotoLastPage()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoLastPage();
    }
    
    public void gotoNextPage()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoNextPage();
    }
    
    public void gotoPage(int index)
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoPage(index);
    }
    
    public void gotoPreviousPage()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.gotoPreviousPage();
    }
    
    public void lock()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.lock();
    }
    
    public void lock(String id)
    {
        Course c=page.getCourse();
        if (c!=null)
            c.lock(id);
    }
    
    public void unlock()
    {
        Course c=page.getCourse();
        if (c!=null)
            c.unlock();
    }
    
    public void unlock(String id)
    {
        Course c=page.getCourse();
        if (c!=null)
            c.unlock(id);
    }
}